[Deprecated]: v2.0
put
/ec-query-svc/rest/v2.0/studies/{studyId}/{mode}/queries/{queryId}/delete
Deprecated: Use latest version instead. Compared to v1.0, this v2.0 endpoint enforces soft-delete semantics and returns audit attributes so integrators can distinguish deletions from closures. This improves user integration reliability.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: test (testing sandbox), training (training environment), and active (production).
-
queryId(required): string(uuid)
ID of query to delete.
-
studyId(required): string(uuid)
Clinical One study identifier formatted as a 32 to 36 character GUID.
Supported Media Types
- application/json
Root Schema : QueryDTO Version 2
Type:
objectTitle:
QueryDTO Version 2Information for creating/editing query
Show Source
-
dataElementId(required): string
(uuid)
Data element unique GUID.
-
eventId: string
(uuid)
Event unique GUID.
-
eventInstanceNumber: number
(bigdecimal)
Minimum Value:
0Minimum Value:> falseSequence number (0, 1, 2, ...) of the repeating event. Negative values are rejected.Example:0 -
formId: string
(uuid)
Form unique GUID.
-
id: string
(uuid)
Query unique GUID generated by the service.
-
queryComment(required): string
Minimum Length:
1Maximum Length:2048Query comments.Example:Comment -
siteId: string
(uuid)
Site unique GUID.
-
state: string
Allowed Values:
[ "Candidate", "Opened", "Answered", "Deleted", "Closed" ]Query state. Candidate = query created but not yet opened; Opened = action required; Answered = awaiting review; Deleted = removed from workflow; Closed = finalised.Example:Opened -
studyVersionStart: string
(date-time)
Data element version start timestamp.Example:
2026-01-15T10:05:30Z -
subjectId(required): string
(uuid)
Subject unique GUID.
Example:
{\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"queryComment\": \"Visit date clarification required.\",\n \"state\": \"Opened\",\n \"subjectId\": \"762744769B0E4E40B6A74691179BC578\",\n \"dataElementId\": \"583A45DD0A1C46F88D7842D76CAF9A59\",\n \"dataElementVersionStart\": \"2026-01-15T10:05:30Z\",\n \"formId\": \"680E0FB01F1B4CCB990C333563FAEE80\",\n \"siteId\": \"CB9BBB0767114F599FE75616223D6665\",\n \"eventId\": \"3B95322B15144E4397B30305EB33E871\",\n \"eventInstanceNumber\": 0\n}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Query removed successfully with audit trail captured.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
400 Response
Request validation failed due to missing, invalid, or inconsistent request data.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
404 Response
Returned when the target query is not present in the study and mode provided.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
500 Response
Returned when an unexpected error occurs while deleting the query.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples